Subject: [Stackevo] FW: [IAB] Call for Comment: <draft-iab-protocol-transitions> (Out With the Old and In With the New: Planning for Protocol Transitions)

From: Dave Thaler <[email-masked]>
Date: Fri, 17 Feb 2017 22:02:54 +0000

Stackevo program (and IAB):

Brian Carpenter's feedback says his point "might or might not be useful to mention".
Although his point may be true, I am not sure this belongs in the scope of this document
and it sounds like Lee was similarly questioning it's applicability to this document.
Since Brian wasn't adamant, no text has been proposed by anyone, and two of us question
whether it's even in scope for this document, I propose no change.

If anyone disagrees, feel free to submit proposed text.  Otherwise, I will go on to the
feedback from others.  (I have already made in github the trivial editorial edits and am now
slowly working through the more substantial comments, so expect more emails...)

Dave

-----Original Message-----
From: IAB [mailto:[email-masked]] On Behalf Of Lee Howard
Sent: Monday, January 9, 2017 5:08 PM
To: Brian E Carpenter <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: [IAB] Call for Comment: <draft-iab-protocol-transitions> (Out With the Old and In With the New: Planning for Protocol Transitions)

Change advocates diluted their credibility, which may have affected perception of the new protocol. I agree with your point, and need to think about whether it¹s important for the audience of this document.

Lee

On 1/9/17, 7:51 PM, "IAB on behalf of Brian E Carpenter"
<[email-masked] on behalf of [email-masked]> wrote:

>I think this is now in pretty good shape.
>
>There is one aspect of the IPv6 case study that might, or might not, be 
>useful to mention. I refer to a tendency for overstated claims, some of 
>which were just exaggerated and some of which were simply untrue. This 
>didn't come from IETF sources. In fact some of us ran around after the 
>perpetrators giving talks about "IPv6 myths".
>For example, there was a persistent myth that IPv6 was more secure than 
>IPv4. (There was also a myth that IPv6 was less secure than IPv4.)
>
>This was highly unhelpful, especially when it infected the government 
>mandates.
>
>Regards
>   Brian
>
>On 05/01/2017 14:17, IAB Executive Administrative Manager wrote:
>> This is an announcement of an IETF-wide Call for Comment on 
>> draft-iab-protocol-transitions-05.
>> 
>> The document is being considered for publication as an Informational 
>>RFC  within the IAB stream, and is available for inspection at:
>> https://datatracker.ietf.org/doc/draft-iab-protocol-transitions/
>> 
>> The Call for Comment will last until 2017-02-01. Please send comments 
>> to [email-masked] and [email-masked].
>> 
>> Abstract
>> 
>>    Over the many years since the introduction of the Internet Protocol,
>>    we have seen a number of transitions from one protocol or technology
>>    to another, throughout the protocol stack.  Many protocols and
>>    technologies were not designed to enable smooth transition to
>>    alternatives or to easily deploy extensions, and thus some
>>    transitions, such as the introduction of IPv6, have been difficult.
>>    This document attempts to summarize some basic principles to enable
>>    future transitions, and also summarizes what makes for a good
>>    transition plan.
>> 
>> 
>
>